[gentoo-commits] repo/gentoo:master commit in: games-puzzle/seatris/

2021-08-22 Thread Sam James
commit: 3018fbea51adebe6a7b0e8adb9f11de9aaca112c
Author: Sam James  gentoo  org>
AuthorDate: Mon Aug 23 04:20:19 2021 +
Commit: Sam James  gentoo  org>
CommitDate: Mon Aug 23 05:05:04 2021 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3018fbea

games-puzzle/seatris: fix group of binary

Closes: https://bugs.gentoo.org/809353
Signed-off-by: Sam James  gentoo.org>

 .../seatris/{seatris-0.0.14-r1.ebuild => seatris-0.0.14-r2.ebuild}  | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-puzzle/seatris/seatris-0.0.14-r1.ebuild 
b/games-puzzle/seatris/seatris-0.0.14-r2.ebuild
similarity index 94%
rename from games-puzzle/seatris/seatris-0.0.14-r1.ebuild
rename to games-puzzle/seatris/seatris-0.0.14-r2.ebuild
index 6669683f0a9..2b208413feb 100644
--- a/games-puzzle/seatris/seatris-0.0.14-r1.ebuild
+++ b/games-puzzle/seatris/seatris-0.0.14-r2.ebuild
@@ -51,6 +51,6 @@ src_install() {
touch "${ED}"/var/lib/${PN}/seatris.score || die
fperms 660 /var/lib/${PN}/seatris.score
 
-   fowners -R root:gamestat /var/lib/${PN}
+   fowners -R root:gamestat /var/lib/${PN} /usr/bin/${PN}
fperms g+s /usr/bin/${PN}
 }



[gentoo-commits] repo/gentoo:master commit in: games-puzzle/seatris/

2021-04-04 Thread Sam James
commit: eda1a15ee5d1607de558ac3803903b5db780d236
Author: Sam James  gentoo  org>
AuthorDate: Sun Apr  4 00:18:07 2021 +
Commit: Sam James  gentoo  org>
CommitDate: Sun Apr  4 06:32:32 2021 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eda1a15e

games-puzzle/seatris: port to EAPI 7, games.eclass--

Signed-off-by: Sam James  gentoo.org>

 ...tris-0.0.14.ebuild => seatris-0.0.14-r1.ebuild} | 43 +++---
 1 file changed, 30 insertions(+), 13 deletions(-)

diff --git a/games-puzzle/seatris/seatris-0.0.14.ebuild 
b/games-puzzle/seatris/seatris-0.0.14-r1.ebuild
similarity index 50%
rename from games-puzzle/seatris/seatris-0.0.14.ebuild
rename to games-puzzle/seatris/seatris-0.0.14-r1.ebuild
index d13a963fa7c..6669683f0a9 100644
--- a/games-puzzle/seatris/seatris-0.0.14.ebuild
+++ b/games-puzzle/seatris/seatris-0.0.14-r1.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit eutils toolchain-funcs games
+EAPI=7
+
+inherit toolchain-funcs
 
 DESCRIPTION="A color ncurses tetris clone"
 HOMEPAGE="http://www.earth.li/projectpurple/progs/seatris.html;
@@ -12,16 +13,28 @@ LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~ppc64 ~x86"
 
-RDEPEND="sys-libs/ncurses"
-DEPEND="${DEPEND}
-   virtual/pkgconfig"
+DEPEND="sys-libs/ncurses:="
+RDEPEND="
+   ${DEPEND}
+   acct-group/gamestat
+"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+   "${FILESDIR}"/${P}-as-needed.patch
+)
 
 src_prepare() {
+   default
+
sed -i \
-   -e "s:/var/lib/games:${GAMES_STATEDIR}:" \
+   -e "s:/var/lib/games:/var/lib/${PN}:" \
scoring.h seatris.6 || die
+}
 
-   epatch "${FILESDIR}"/${P}-as-needed.patch
+src_configure() {
+   tc-export CC
+   econf
 }
 
 src_compile() {
@@ -29,11 +42,15 @@ src_compile() {
 }
 
 src_install() {
-   dogamesbin seatris
+   dobin seatris
+
doman seatris.6
dodoc ACKNOWLEDGEMENTS HISTORY README TODO example.seatrisrc
-   dodir "${GAMES_STATEDIR}"
-   touch "${D}${GAMES_STATEDIR}/seatris.score"
-   fperms 660 "${GAMES_STATEDIR}/seatris.score"
-   prepgamesdirs
+
+   dodir /var/lib/${PN}
+   touch "${ED}"/var/lib/${PN}/seatris.score || die
+   fperms 660 /var/lib/${PN}/seatris.score
+
+   fowners -R root:gamestat /var/lib/${PN}
+   fperms g+s /usr/bin/${PN}
 }